 *{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

#box {
	height: 150px;
	width: 150px;
	padding: 50px;
	border: 1px solid #000;
	background-color: orange;
	margin-right: 30px;
	display:inline-block;
	vertical-align: top;

}

	/*  

		without box-sizing:  border-box
		
		without border box the exact overall width
		of our element: 252px

		Border and padding are added on top of the width
		1px border

		1px border + 50px left padding + 150px width + 50px right padding + 1px right border = 252px

		with box-sizing:  border box;
		the exact width of our element:  150px;
		Border and Padding are included in the total width
		1px left border + 50px left padding + 48px content width + 50px right padding + 1px right border = 150px

	*/


#box2 {
	height: 150px;
	width: 150px;
	border: 1px solid black;
	background-color: yellow;
	display:inline-block;
	vertical-align: top;

}

span {
	height: 150px;
	width: 150px;
	border: 1px solid black	;
	background-color: green;
	display:inline-block;
}

/*CSS Review*/
/*CSS Reset*/

/*We 0  all margins and paddings of our elements.. Because by default, elements are being added margins and paddings by browsers.*/

/*
box-sizing: border-box; to accurately measure our elements, that padding and border are not added on top of the element's width.
*/

/*padding - is space within an element.
	margin  is space outside of the leement or outside of an element's
*/



/*html	{
	font-size: 5px;
}

#nestedDiv {
	*/
/*
		rem:  root element  - a measurement based on the font-size of the root element;
		which is (HTML) Default: 16px;
		

		em:  is a measurement based on the font-size of the parent element.;

		because the parent div's font-size is 10px.
		em = 10(#box) * 2(em) = 20em;*/
	
	/*height: 2em;
	width: 2em;
	border: 1px solid black;
	background-color: red;
	 /* position:  allows to determine the position of an element.*/
		
		/*position : relative; allows us to move or determine the position
		of our element relative to where it was  originally in our html document.

		left, right, top, bottom, these properties are used in conjunction with
		the position property and they determine the measurement from a direction.
		
		% as a measurement is based on the width of the parent element.
		px is an exacet measurement, across all the devices.

		vh/viewport which is the visible area of our page
		vh - viewport height
		vw - viewport width*/

	
	/*position: relative;
	left: 33%;
	top: 33%;*/
}

